Substy Developers
Intelligence

Stop intelligence run

Request cancellation of an active Substy Intelligence run by run ID. Stopping a run does not undo platform actions already completed.

POST/v1/agencies/{agencyId}/intelligence/runs/{runId}/cancellation

Request cancellation of an active Substy Intelligence run by run ID. Stopping a run does not undo platform actions already completed.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
runId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agencies/string/intelligence/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancellation" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "stopped": true  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}